# boost::numeric::ublas::matrix_matrix_binary< E1, E2, F >::const_iterator2 Class Reference

List of all members.

## Public Types

typedef iterator_restrict_traits < typename E1::const_iterator1::iterator_category, typename E2::const_iterator2::iterator_category > ::iterator_category | iterator_category
typedef matrix_matrix_binary::difference_type | difference_type
typedef matrix_matrix_binary::value_type | value_type
typedef matrix_matrix_binary::const_reference | reference
typedef matrix_matrix_binary::const_pointer | pointer
typedef const_iterator1 | dual_iterator_type
typedef const_reverse_iterator1 | dual_reverse_iterator_type

## Public Member Functions

BOOST_UBLAS_INLINE | const_iterator2 (const self_type &mmb, const const_iterator11_type &it1, const const_iterator22_type &it2)
BOOST_UBLAS_INLINE const_iterator2 & | operator++ ()
BOOST_UBLAS_INLINE const_iterator2 & | operator-- ()
BOOST_UBLAS_INLINE const_iterator2 & | operator+= (difference_type n)
BOOST_UBLAS_INLINE const_iterator2 & | operator-= (difference_type n)
BOOST_UBLAS_INLINE difference_type | operator- (const const_iterator2 &it) const
BOOST_UBLAS_INLINE const_reference | operator* () const
BOOST_UBLAS_INLINE const_reference | operator[] (difference_type n) const
BOOST_UBLAS_INLINE const_iterator1 | begin () const
BOOST_UBLAS_INLINE const_iterator1 | end () const
BOOST_UBLAS_INLINE const_reverse_iterator1 | rbegin () const
BOOST_UBLAS_INLINE const_reverse_iterator1 | rend () const
BOOST_UBLAS_INLINE size_type | index1 () const
BOOST_UBLAS_INLINE size_type | index2 () const
BOOST_UBLAS_INLINE const_iterator2 & | operator= (const const_iterator2 &it)
BOOST_UBLAS_INLINE bool | operator== (const const_iterator2 &it) const
BOOST_UBLAS_INLINE bool | operator< (const const_iterator2 &it) const

### template<class E1, class E2, class F>
class boost::numeric::ublas::matrix_matrix_binary< E1, E2, F >::const_iterator2